package com.ylx.web.controller.massage;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.common.core.controller.BaseController;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TBank;
import com.ylx.massage.service.TBankService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 银行表(TBank)表控制层
 *
 * @author makejava
 * @since 2024-12-30 17:49:07
 */
@Api(tags = {"PC银行卡"})
@RestController
@RequestMapping("tBank")
public class TBankController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private TBankService tBankService;

    /**
     * 银行配置列表分页查询所有数据
     *
     * @param page  分页对象
     * @param tBank 查询实体
     * @return 所有数据
     */
    @ApiOperation("银行配置列表")
    @GetMapping("list")
    public R selectAll(Page<TBank> page, TBank tBank) {
        return R.ok(this.tBankService.page(page, new QueryWrapper<>(tBank)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public R selectOne(@PathVariable Serializable id) {
        return R.ok(this.tBankService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param tBank 实体对象
     * @return 新增结果
     */
    @PostMapping("save")
    public R insert(@RequestBody TBank tBank) {
        return R.ok(this.tBankService.save(tBank));
    }

    /**
     * 修改数据
     *
     * @param tBank 实体对象
     * @return 修改结果
     */
    @PutMapping("update")
    public R update(@RequestBody TBank tBank) {
        return R.ok(this.tBankService.updateById(tBank));
    }

    /**
     * 删除数据
     *
     * @param idList 主键结合
     * @return 删除结果
     */
    @ApiOperation("删除银行卡")
    @PostMapping("delete")
    public R delete(@RequestBody List<Long> idList) {
        return R.ok(this.tBankService.removeByIds(idList));
    }
}

